Skip to content

Update an entity

Request

Updates an entity.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

Query
updateMaskstring

Optional. The list of fields to be updated.

If not provided (i.e., the mask is omitted), the server will update all fields that are populated in the entity message in this request (i.e., fields that have a non-empty value).

The special value * can be used for a full replacement of the resource, equivalent to a PUT operation. When using *, be cautious as new fields added to the resource in the future will also be updated.

For robust updates, explicitly specifying the fields is recommended.

See AIP-134 (Standard Update) and AIP-161 (Field Masks) for more details.

Bodyapplication/json

Required. The entity to update.

The entity's name field is used to identify the entity to update. Format: entities/{entity}

One of:
namestring(name)

(IDENTIFIER) The resource name of the entity. Format: entities/{entity}

displayNamestring, <= 63 characters(display_name)

(OPTIONAL) Optional. A mutable, user-settable field for providing a human-readable name for the entity, to be used in user interfaces. Must be <= 63 characters.

contactInfoobject(contact_info)

(OPTIONAL)

registrationobject(registration)

(OPTIONAL)

riskDetailsobject(risk_details)

(OPTIONAL)

entityRelationshipsArray of objects(entity_relationships)

(OPTIONAL)

externalIdsobject(external_ids)

(OPTIONAL)

tagsArray of objects(tags)

(OPTIONAL) Optional. Tags associated with the entity.

customFieldSettingRevisionstring, non-empty(custom_field_setting_revision)

(OPTIONAL) The resource name of the schema revision this request was filled against. Format: tenants/{tenant}/customFieldSettings/{custom_field_setting}/revisions/{revision}

customFieldValuesobject(custom_field_values)

(OPTIONAL) The field values organised by group. Each outer map key is the group key; each inner Struct holds field_key → value pairs. Values are raw JSON types matching FormKit output: string, number, bool, or list of strings. The backend validates value types against the field definitions at runtime.

annotationsobject(annotations)

(OPTIONAL) Optional. Annotations for arbitrary metadata. See AIP-148.

etagstring, <= 256 characters(etag)

(OPTIONAL) Optional. The etag of the resource. Used for optimistic concurrency control as per AIP-154.

companyobject(company)required
curl -i -X PATCH \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}?updateMask=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "company": {
      "type": "COMPANY_TYPE_UNSPECIFIED",
      "industry": "Financial Services",
      "contacts": [
        {
          "role": "string",
          "displayName": "string",
          "contactType": "string",
          "emailAddress": "user@example.com",
          "phoneNumber": "string"
        }
      ]
    },
    "name": "string",
    "displayName": "Example Financial Services Ltd",
    "contactInfo": {
      "telephone": [
        "+61 2 9876 5432"
      ],
      "businessTelephone": [
        "+61 2 9876 5400"
      ],
      "emailAddress": [
        "john.smith@example.com"
      ],
      "primaryContacts": [
        "Sarah Johnson"
      ],
      "website": [
        "https://www.example.com"
      ],
      "registeredBusinessAddresses": [
        {
          "revision": 0,
          "regionCode": "string",
          "languageCode": "string",
          "postalCode": "string",
          "sortingCode": "string",
          "administrativeArea": "string",
          "locality": "string",
          "sublocality": "string",
          "addressLines": [
            "string"
          ],
          "recipients": [
            "string"
          ],
          "organization": "string"
        }
      ],
      "principalBusinessAddresses": [
        {
          "revision": 0,
          "regionCode": "string",
          "languageCode": "string",
          "postalCode": "string",
          "sortingCode": "string",
          "administrativeArea": "string",
          "locality": "string",
          "sublocality": "string",
          "addressLines": [
            "string"
          ],
          "recipients": [
            "string"
          ],
          "organization": "string"
        }
      ],
      "residentialAddresses": [
        {
          "revision": 0,
          "regionCode": "string",
          "languageCode": "string",
          "postalCode": "string",
          "sortingCode": "string",
          "administrativeArea": "string",
          "locality": "string",
          "sublocality": "string",
          "addressLines": [
            "string"
          ],
          "recipients": [
            "string"
          ],
          "organization": "string"
        }
      ]
    },
    "registration": {
      "property1": {
        "value": "12 345 678 901",
        "registrationDateTime": "2023-01-15T01:30:15.01Z",
        "regionCode": "NSW",
        "tradingName": "Example Financial Services",
        "registeredName": "Example Financial Services Pty Ltd"
      },
      "property2": {
        "value": "12 345 678 901",
        "registrationDateTime": "2023-01-15T01:30:15.01Z",
        "regionCode": "NSW",
        "tradingName": "Example Financial Services",
        "registeredName": "Example Financial Services Pty Ltd"
      }
    },
    "riskDetails": {
      "riskStatus": "RISK_STATUS_UNSPECIFIED",
      "riskStatusReason": "RISK_STATUS_REASON_UNSPECIFIED",
      "riskRating": "string"
    },
    "entityRelationships": [
      {
        "sourceEntity": "entities/john-smith",
        "targetEntity": "entities/example-financial-services",
        "type": "RELATIONSHIP_TYPE_UNSPECIFIED"
      }
    ],
    "externalIds": {
      "cherryhub": "string",
      "custom": {
        "property1": "string",
        "property2": "string"
      }
    },
    "tags": [
      {
        "tagType": "string",
        "tagDefinitionId": "string"
      }
    ],
    "customFieldSettingRevision": "string",
    "customFieldValues": {
      "property1": {
        "property1": null,
        "property2": null
      },
      "property2": {
        "property1": null,
        "property2": null
      }
    },
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z",
    "purgeTime": "2023-01-15T01:30:15.01Z",
    "annotations": {
      "property1": "string",
      "property2": "string"
    },
    "etag": "abc123"
  }'

Responses

Success

Bodyapplication/json
One of:
namestring(name)

(IDENTIFIER) The resource name of the entity. Format: entities/{entity}

displayNamestring, <= 63 characters(display_name)

(OPTIONAL) Optional. A mutable, user-settable field for providing a human-readable name for the entity, to be used in user interfaces. Must be <= 63 characters.

contactInfoobject(contact_info)

(OPTIONAL)

registrationobject(registration)

(OPTIONAL)

riskDetailsobject(risk_details)

(OPTIONAL)

entityRelationshipsArray of objects(entity_relationships)

(OPTIONAL)

externalIdsobject(external_ids)

(OPTIONAL)

tagsArray of objects(tags)

(OPTIONAL) Optional. Tags associated with the entity.

customFieldSettingRevisionstring, non-empty(custom_field_setting_revision)

(OPTIONAL) The resource name of the schema revision this request was filled against. Format: tenants/{tenant}/customFieldSettings/{custom_field_setting}/revisions/{revision}

customFieldValuesobject(custom_field_values)

(OPTIONAL) The field values organised by group. Each outer map key is the group key; each inner Struct holds field_key → value pairs. Values are raw JSON types matching FormKit output: string, number, bool, or list of strings. The backend validates value types against the field definitions at runtime.

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the entity was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the entity was most recently updated.

purgeTimestring, (date-time)(purge_time)read-only

Output only. The timestamp when the entity will be purged if soft-deleted. See AIP-164.

annotationsobject(annotations)

(OPTIONAL) Optional. Annotations for arbitrary metadata. See AIP-148.

etagstring, <= 256 characters(etag)

(OPTIONAL) Optional. The etag of the resource. Used for optimistic concurrency control as per AIP-154.

companyobject(company)required
Response
{ "name": "string", "displayName": "Example Financial Services Ltd", "contactInfo": { "telephone": [], "businessTelephone": [], "emailAddress": [], "primaryContacts": [], "website": [], "registeredBusinessAddresses": [], "principalBusinessAddresses": [], "residentialAddresses": [] }, "registration": { "property1": {}, "property2": {} }, "riskDetails": { "riskStatus": "RISK_STATUS_UNSPECIFIED", "riskStatusReason": "RISK_STATUS_REASON_UNSPECIFIED", "riskRating": "string" }, "entityRelationships": [ {} ], "externalIds": { "cherryhub": "string", "custom": {} }, "tags": [ {} ], "customFieldSettingRevision": "string", "customFieldValues": { "property1": {}, "property2": {} }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z", "annotations": { "property1": "string", "property2": "string" }, "etag": "abc123", "company": { "type": "COMPANY_TYPE_UNSPECIFIED", "industry": "Financial Services", "contacts": [] } }